=== debian/changelog ===
ros-rolling-avt-vimba-camera (2001.1.0-4jammy) jammy; urgency=high

  * Port to ROS2 (#56 <https://github.com/astuff/avt_vimba_camera/issues/56>)
  * Update README for ROS2 (#58 <https://github.com/astuff/avt_vimba_camera/issues/58>)
  * Contributors: icolwell-as

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 10 Dec 2021 08:00:00 -0000

ros-rolling-avt-vimba-camera (1.0.0-4jammy) jammy; urgency=high

  * Code Cleanup and Autoformat (#52 <https://github.com/astuff/avt_vimba_camera/issues/52>)
  * Improve rosout logging (#50 <https://github.com/astuff/avt_vimba_camera/issues/50>)
  * Improve README (#48 <https://github.com/astuff/avt_vimba_camera/issues/48>)
  * Parameter Refactor (#46 <https://github.com/astuff/avt_vimba_camera/issues/46>)
  * Use timestamp from image capture in ROS header (#41 <https://github.com/astuff/avt_vimba_camera/issues/41>)
  * Trigger over Ethernet (#39 <https://github.com/astuff/avt_vimba_camera/issues/39>)
  * Remove stereo camera code (#43 <https://github.com/astuff/avt_vimba_camera/issues/43>)
  * Update CI (#44 <https://github.com/astuff/avt_vimba_camera/issues/44>)
  * Update to VimbaCPP Version 1.8.4 (SDK version 5.0) (#36 <https://github.com/astuff/avt_vimba_camera/issues/36>)
  * Fixed 'escalating to SIGTERM' when closing (#22 <https://github.com/astuff/avt_vimba_camera/issues/22>)
  * Contributors: icolwell-as, vbrebion

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Tue, 30 Nov 2021 08:00:00 -0000

ros-rolling-avt-vimba-camera (0.0.12-4jammy) jammy; urgency=high

  * Fix MonoCamera nodelet (#16 <https://github.com/astuff/avt_vimba_camera/issues/16>)
  * Launch File Updates (#13 <https://github.com/astuff/avt_vimba_camera/issues/13>)
  * Remove duplicated launch file installs (#15 <https://github.com/astuff/avt_vimba_camera/issues/15>)
  * Brief README (#10 <https://github.com/astuff/avt_vimba_camera/issues/10>)
  * Add more pixelformats, thanks to @jmoreau-hds (#3 <https://github.com/astuff/avt_vimba_camera/issues/3>)
  * Contributors: icolwell-as

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Fri, 05 Jun 2020 07:00:00 -0000

ros-rolling-avt-vimba-camera (0.0.11-4jammy) jammy; urgency=high

  * Merge pull request #35 <https://github.com/astuff/avt_vimba_camera/issues/35> from willcbaker/feature/nodelet
    Feature/nodelet
  * Update nodelet launch files
  * Add nodelet
  * Fix #31 <https://github.com/astuff/avt_vimba_camera/issues/31>
  * Merge pull request #30 <https://github.com/astuff/avt_vimba_camera/issues/30> from chewwt/armv8
    add support for armv8
  * add support for armv8
  * Change frame observer to shared ptr
  * Contributors: Miquel Massot, Will Baker, ruth

 -- AutonomouStuff Software Team <software@autonomoustuff.com>  Mon, 19 Aug 2019 07:00:00 -0000

ros-rolling-avt-vimba-camera (0.0.10-4jammy) jammy; urgency=high

  * Merge pull request #26 <https://github.com/srv/avt_vimba_camera/issues/26> from 130s/k/add_ci
    [CI] Add config for ROS Kinetic (and Lunar as an option).
  * [CI] Add config for ROS Kinetic (and Lunar as an option).
  * Merge pull request #25 <https://github.com/srv/avt_vimba_camera/issues/25> from mintar/fix_open_camera
    Fix opening the camera
  * Simplify openCamera() logic
  * Open camera on init
    Without this patch, the camera is never opened. This bug was introduced in 63f868791.
  * Give more information to the user
  * Merge pull request #22 <https://github.com/srv/avt_vimba_camera/issues/22> from plusone-robotics/dyn_reconfig_fix
    Dynamic reconfigure fix
  * Fix #21 <https://github.com/srv/avt_vimba_camera/issues/21>: Retry camera opening and handle SIGINT
  * Changed file mode in order to build
  * Fixed crashing of dynamic reconfigure
  * Fixed dynamic reconfigure configuration that did not allow camera parameters to be updated
  * Fix call QueueFrame() method
  * Fix CPU overhead issue
  * Fix #18 <https://github.com/srv/avt_vimba_camera/issues/18>
  * Merge pull request #17 <https://github.com/srv/avt_vimba_camera/issues/17> from josepqp/kinetic
    Added ARM 32 to CMakeList.txt
  * Stop camera before destroy it
  * Added ARM 32
  * Merge branch 'kinetic' of github.com:srv/avt_vimba_camera into kinetic
  * Change variable scope
  * Fix #15 <https://github.com/srv/avt_vimba_camera/issues/15>: do not depend on turbot_configurations
  * Merge pull request #14 <https://github.com/srv/avt_vimba_camera/issues/14> from josepqp/kinetic
    
      * Added ARM 32 bits libraries
      * Modified CMakeList.txt to compile with ARM 32 bits
      * Added Iris Parameter
    
  * kinetization
  * Fix sync problems after camera tests
  * Add a sync timer
  * Try stereo image sync
  * Add a check timer
  * Fix #12 <https://github.com/srv/avt_vimba_camera/issues/12>: allow bigger resolutions
  * Fix camera info
  * Fix camera config
  * Fix camera info when decimation
  * Make sync node acts as stereo sync checker
  * Include a check timer on stereo_camera
  * Perform the stereo_sync in a separate node
  * Publish camera temperatures
  * Change the way of reset
  * Increase the initial wait time before checking sync
  * Add a sync watcher node
  * Fix branch mix
  * Remove unused variables
  * Left and right callback in a separate thread
  * Change default sync time
  * change logging messages
  * fix binning
  * add stereo launchfiles
  * removed prints
  * set stereo launchfiles
  * removed unused params
  * calibration epi. 4
  * improvements to stereo node
  * merge with v2.0 SDK
  * upgrade to VIMBA SDK 2.0
  * upgrade to 1.4
  * changed ros prints from info to debug
  * removed comment
  * changed stereo camera launchfile
  * Merge pull request #11 <https://github.com/srv/avt_vimba_camera/issues/11> from lucasb-eyer/indigo
    Set the frame_id of the image header, too.
  * Set the frame_id of the image header, too.

