=== debian/control ===
Source: ros-rolling-avt-vimba-camera
Section: misc
Priority: optional
Maintainer: AutonomouStuff Software Team <software@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-auto, ros-rolling-camera-info-manager, ros-rolling-diagnostic-msgs, ros-rolling-diagnostic-updater, ros-rolling-image-transport, ros-rolling-message-filters, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace
Homepage: https://github.com/astuff/avt_vimba_camera
Standards-Version: 3.9.2

Package: ros-rolling-avt-vimba-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-camera-info-manager, ros-rolling-diagnostic-msgs, ros-rolling-diagnostic-updater, ros-rolling-image-proc, ros-rolling-image-transport, ros-rolling-message-filters, ros-rolling-rclcpp, ros-rolling-rclcpp-components, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-stereo-image-proc, ros-rolling-ros-workspace
Description: Camera driver for Allied Vision Technologies (AVT) cameras, based on their Vimba SDK.
